mdoc-export-html(1)

NAME
mdoc export-html - Convert mdoc(5) XML to HTML.

SYNOPSIS
mdoc export-html [OPTION]* DIRECTORIES

DESCRIPTION
mdoc export-html creates HTML files from the mdoc(5)-formatted documentation XML files within DIRECTORIES.

OPTIONS

--ext=EXTENSION
    The file extension to use for created files.

    This defaults to html.

--default-template
    Writes the default XSLT used to stdout.

--template=FILE
    An XSLT file to use to generate the created files.

    If not specified, uses the template produced by --dump-template.

    See the TEMPLATE FORMAT section below for more information.

-o, --out=DIRECTORY
    Write the created files within directory DIRECTORY.

-h, -?, --help
    Display a help message and exit.

TEMPLATE FORMAT
The template file is an XSLT which needs to process the following input XML document:
  <Page>
    <CollectionTitle>Collection Title</CollectionTitle>
    <PageTitle>Page Title</PageTitle>
    <Summary>Page Summary</Summary>
    <Signature>Type Declaration</Signature>
    <Remarks>Type Remarks</Remarks>
    <Members>Type Members</Members>
    <Copyright>Documentation Copyright</Copyright>
  </Page>
The generated HTML also makes use of several CSS classes. You can either use the create-default-style named template found within the --default-template output to generate these classes, or explicitly define the following CSS classes:

    .CollectionTitle

    .PageTitle

    .Summary

    .Signature

    .Remarks

    .Members

    .Copyright

    .Section

    .SectionBox

    .NamespaceName

    .NamespaceSummary

    .MemberName

    .MemberSignature

    .MemberBox

    .Subsection

    .SubsectionBox

    .SignatureTable

    .EnumerationsTable

    .CodeExampleTable

    .MembersListing

    .TypesListing

    .InnerSignatureTable

    .TypePermissionsTable

HTML LINKS
All members within the HTML file have an id attribute to permit linking to a specific member. The value of the id attribute is the String ID of the specified member.

See the CREF FORMAT section of mdoc(5) for more information.

MAILING LISTS

Visit http://lists.ximian.com/mailman/listinfo/mono-docs-list for details.

WEB SITE
Visit http://www.mono-project.com/mdoc for details